Loading...
Searching...
No Matches
casacore::ArrayNDimError Class Reference
casa package (libcasa_casa) » Arrays_module

Thrown when two arrays have different dimensionality. More...

`#include <ArrayError.h>`

## Public Member Functions

| ArrayNDimError (int dim1, int dim2, const char *m="ArrayNDimError")
| Define the two (presumably different) messages and optionally supply a message.
| ArrayNDimError (int dim1, int dim2, const std::string &m)
| ~ArrayNDimError () noexcept
void | ndims (int &dim1, int &dim2) const
| Return the stored dimensions.
Public Member Functions inherited from casacore::ArrayConformanceError
| ArrayConformanceError ()
| Initialize the message with "ArrayConformanceError".
| ArrayConformanceError (const char *m)
| Initialize with a supplied message.
| ArrayConformanceError (const std::string &m)
| Initialize with a supplied message.
| ~ArrayConformanceError () noexcept
Public Member Functions inherited from casacore::ArrayError
| ArrayError ()
| Initialize with the message "ArrayError".
| ArrayError (const char *m)
| Initialize with the supplied message.
| ArrayError (const std::string &m)
| Initialize with the supplied message.
| ~ArrayError () noexcept

## Private Attributes

int | r1
int | r2

## Detailed Description

Thrown when two arrays have different dimensionality.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

An ArrayNDimError is derived from ArrayConformanceError. It is thrown when two arrays are non-conformant by virtue of having different dimensionality. It holds within it the two dimensions.

Definition at line 132 of file ArrayError.h.

## Constructor & Destructor Documentation

## ArrayNDimError() [1/2]

casacore::ArrayNDimError::ArrayNDimError | ( | int | dim1,
|  | int | dim2,
|  | const char * | m = "ArrayNDimError" )

Define the two (presumably different) messages and optionally supply a message.

## ArrayNDimError() [2/2]

casacore::ArrayNDimError::ArrayNDimError | ( | int | dim1,
|  | int | dim2,
|  | const std::string & | m )

## ~ArrayNDimError()

casacore::ArrayNDimError::~ArrayNDimError | ( |  | ) |

noexcept

## Member Function Documentation

## ndims()

void casacore::ArrayNDimError::ndims | ( | int & | dim1,
|  | int & | dim2 ) const

Return the stored dimensions.

NB modifies arguments.

References ndims().

Referenced by ndims().

## Member Data Documentation

## r1

int casacore::ArrayNDimError::r1

private

Definition at line 143 of file ArrayError.h.

## r2

int casacore::ArrayNDimError::r2

private

Definition at line 143 of file ArrayError.h.

The documentation for this class was generated from the following file:

- casa/Arrays/ArrayError.h